Snap geometries -tool cannot handle polylines with length of zero

2018-10-08 03:14 PM - Petri Latva-Käyrä

Status: Closed

Priority: Normal

Assignee:

Category: Geometry

Affected QGIS version:2.18.22 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27871

Description

I encountered an issue with the Snap geometries -tool when trying to snap polylines to reference polylines. My dataset consisted of line

segments for a transport networt. The network had also lines which had same start and end node. From the datasets perspective, this is

not an error. However, the snap geometries -tool crashes every time when encountering such a vector. I bypassed the problem by running

the Check validity -tool and snapping the geometries only for the valid lines.

I am not sure if this should be a features request or a bug report. From my perspective it is a bug. The tool should be able to handle such

cases similarly as other polylines or at least bypass them in the processing without crashing.

History

#1 - 2018-10-08 04:57 PM - Alessandro Pasotti

Can you please provide an example project and data to reproduce the issue?

#2 - 2018-10-08 05:07 PM - Alessandro Pasotti

I just tested a similar scenario in QGIS 3 and it works just fine, can you try a recent build of QGIS 3?

#3 - 2018-10-09 11:17 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

Are you speaking of the core C++ plugin?

#4 - 2018-10-09 03:26 PM - Petri Latva-Käyrä

I unfortunately cannot test with QGIS 3, as I do not have permissions in my office computer to update software myself. But it sounds great if the issue would

be solved in newer version. We are migrating to QGIS 3 in some point anyways.

I am not sure if this is the core C++ plugin. It was automatically installed in the core QGIS, so I would guess so. It is shown as "Geometry Snapper" in the

Plugins-window.

I will try to put together a suitable example data for the case, if and when I have time.
#5 - 2018-10-09 08:25 PM - Giovanni Manghi

Petri Latva-Käyrä wrote:

I unfortunately cannot test with QGIS 3, as I do not have permissions in my office computer to update software myself. But it sounds great if the issue

would be solved in newer version. We are migrating to QGIS 3 in some point anyways.

I am not sure if this is the core C++ plugin. It was automatically installed in the core QGIS, so I would guess so. It is shown as "Geometry Snapper"

in the Plugins-window.

I will try to put together a suitable example data for the case, if and when I have time.

is unlikely that the tool in 2.18 will get a fix... please test on qgis 3 and report back, when you can.

#6 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-03-08 11:30 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
